# raytracing

Based on the series <a href="https://raytracing.github.io"><cite>Ray Tracing in One Weekend</cite></a>.

## Scenes

### simple
![](./docs/simple.png)

```
java -jar raytracing.jar --samples 5000 --height 1080 SIMPLE
```

### spheres
![](./docs/spheres.png)

```
java -jar raytracing.jar --samples 1000 --height 1080 SPHERES
```
### squares
![](./docs/squares.png)

```
java -jar raytracing.jar --samples 500 --height 1200 SQUARES
```

### cornell box

![](./docs/cornell.png)

```
java -jar raytracing.jar --samples 50000 --height 1200 CORNELL
```

### cornell box with smoke

![](./docs/cornell_smoke.png)

```
java -jar raytracing.jar --samples 50000 --height 600 CORNELL_SMOKE
```

### diagramm

![](./docs/diagramm.png)

```
java -jar raytracing.jar --samples 1000 --height 1080 DIAGRAMM
```