package eu.jonahbauer.raytracing.scene.hittable2d;

import eu.jonahbauer.raytracing.math.AABB;
import eu.jonahbauer.raytracing.math.Vec3;
import eu.jonahbauer.raytracing.render.material.Material;
import org.jetbrains.annotations.NotNull;

public final class Ellipse extends Hittable2D {
    private final @NotNull AABB bbox;

    public Ellipse(@NotNull Vec3 origin, @NotNull Vec3 u, @NotNull Vec3 v, @NotNull Material material) {
        super(origin, u, v, material);
        this.bbox = new AABB(origin.minus(u).minus(v), origin.plus(u).plus(v));
    }

    @Override
    protected boolean isInterior(double alpha, double beta) {
        return alpha * alpha + beta * beta < 1;
    }

    @Override
    public @NotNull AABB getBoundingBox() {
        return bbox;
    }
}
